Name: osec
Version: 0.4
Release: alt7

Summary: Lightweight file permission checker
License: GPL
Group: System/Base

Packager: Stanislav Ievlev <inger@altlinux.ru>

Source0: %name-%version.tar.bz2
Source4: %name.crond
Patch: %name-%version-memory-paranoia.patch
Patch1: %name-%version-memory-paranoia2.patch
Patch2: %name-%version-fix-map.patch

%define osec_group osec
%define osec_user osec

Provides: mtree-sec = %version-%release
Obsoletes: mtree-sec

# Automatically added by buildreq on Mon Dec 02 2002
BuildRequires: gcc-c++ libcap-devel libdb4-devel libdb4_cxx-devel libssl-devel libstdc++-devel libxml2-devel zlib-devel


%description
Contents program bosec that makes human readable reports about changes and bad 
(suid,sgid and world-writeable) files and directories.

%prep
%setup -q

%patch -p1
%patch1 -p1
%patch2 -p1

%build
%make_build listdir=%_sysconfdir/%name/%name.xml -C src

%install
install -d $RPM_BUILD_ROOT/%_localstatedir/%name
install -D -pm755 %SOURCE4  $RPM_BUILD_ROOT%_sysconfdir/cron.daily/%name

%makeinstall -C src


%pre
/usr/sbin/groupadd -r -f %osec_group &>/dev/null
/usr/sbin/useradd -r -g %osec_group -d /dev/null -s /dev/null -n %osec_user &>/dev/null ||:

%post
chown -R %osec_user:%osec_group %_localstatedir/%name

%files
%doc README* HISTORY* doc/procmailrc.sample
/sbin/*
%attr(700,root,root) %dir %_sysconfdir/%name
%attr(600,root,root) %config(noreplace) %_sysconfdir/%name/*
%config(noreplace) %_sysconfdir/cron.daily/%name
%attr(700,%osec_user,%osec_group) %_localstatedir/%name
%_mandir/man?/*

%changelog
* Tue Feb 04 2003 Stanislav Ievlev <inger@altlinux.ru> 0.4-alt7
- fix map usage
- also apply some other minor fixes from unstable

* Mon Jan 13 2003 Stanislav Ievlev <inger@altlinux.ru> 0.4-alt6
- update patch

* Mon Jan 13 2003 Stanislav Ievlev <inger@altlinux.ru> 0.4-alt5
- new paranoia: move to C DB4 APT, fix Record usage

* Fri Jan 10 2003 Stanislav Ievlev <inger@altlinux.ru> 0.4-alt4
- fix patch

* Fri Jan 10 2003 Stanislav Ievlev <inger@altlinux.ru> 0.4-alt3
- another memory paranoia: don't use any stack memory

* Wed Dec 18 2002 Stanislav Ievlev <inger@altlinux.ru> 0.4-alt2
- update documentation, write TODO and future plans

* Wed Dec 11 2002 Stanislav Ievlev <inger@altlinux.ru> 0.4-alt1
- final 0.4. TODO done.
- fix minor bugs, added filtering

* Mon Dec 02 2002 Stanislav Ievlev <inger@altlinux.ru> 0.3.6.4-alt1
- experimental: dropping privs, manpage, signal handlers
- config(noreplace) for cron.daily
- added contrib from Andy Gorev <gorev@mailru.com>

* Fri Nov 29 2002 Stanislav Ievlev <inger@altlinux.ru> 0.3.6.3-alt1
- more changes in memory work
- added support for symlink checkings ( when file became symlink )
- added command-line options

* Thu Nov 28 2002 Stanislav Ievlev <inger@altlinux.ru> 0.3.6.2-alt1
- development version. finally move to new object scheme
  added to Sisyphus 'cause previous version was too unstable (memory corruptions)
  new features will be in the next version.

* Mon Nov 25 2002 Stanislav Ievlev <inger@altlinux.ru> 0.3.5-alt1
- bugfixes, code improvements.

* Sun Nov 10 2002 Stanislav Ievlev <inger@altlinux.ru> 0.3.4-alt1
- light improvements in bad files' report
- more flexible config file (stage 1: checkers definitions for each directory)
  TODO: may be hash_storage object over storage?

* Wed Sep 04 2002 Stanislav Ievlev <inger@altlinux.ru> 0.3.3-alt2
- fixed bug in default config (database location)

* Mon Sep 02 2002 Stanislav Ievlev <inger@altlinux.ru> 0.3.3-alt1
- move to XML config file
  TODO: make osec more flexible (name,depth)

* Thu Aug 15 2002 Stanislav Ievlev <inger@altlinux.ru> 0.3.2-alt3
- light improvements in report and code

* Wed Aug 14 2002 Stanislav Ievlev <inger@altlinux.ru> 0.3.2-alt2
- light code cleanup

* Tue Aug 13 2002 Stanislav Ievlev <inger@altlinux.ru> 0.3.2-alt1
- Improvements. See changelog for details

* Thu Aug 08 2002 Stanislav Ievlev <inger@altlinux.ru> 0.3-alt2
- Added provides/obsoletes to mtree-sec

* Mon Aug 05 2002 Stanislav Ievlev <inger@altlinux.ru> 0.3-alt1
- first release

* Fri Jul 12 2002 Stanislav Ievlev <inger@altlinux.ru> 0.2.98.3-alt0.1
- fix very big first e-mails

* Thu Jul 11 2002 Stanislav Ievlev <inger@altlinux.ru> 0.2.98.2-alt0.2
- new report style

* Wed Jul 10 2002 Stanislav Ievlev <inger@altlinux.ru> 0.2.98.1-alt0.2
- don't see symlinks: useless thing

* Wed Jul 10 2002 Stanislav Ievlev <inger@altlinux.ru> 0.2.98.1-alt0.1
- improvements

* Tue Jul 09 2002 Stanislav Ievlev <inger@altlinux.ru> 0.2.98-alt0.1
- Initial release for Sisyphus
